Notices


Reply
Thread Tools
Posts: 85 | Thanked: 398 times | Joined on Mar 2010 @ southern Italy
#171
OK, I just upgraded my Xperia F5121 to SailfishX 2.1.4.14 Lapuanjoki.

At first my heart skipped a beat when the update process rebooted again soon after showing the white "SONY" screen (I thought it stuck on a reboot loop), no more than 20 seconds later the SailfishOS desktop was there alive and kicking (I guess that reboot was for the kernel update in the early boot).

Linux kernel sadly is still 3.10.84:
before update:
Linux version 3.10.84 (abuild@es-17-35) (gcc version 4.9.x-google 20140827 (prerelease) (GCC) ) #1 SMP PREEMPT Wed Oct 11 02:39:03 UTC 2017

after update:
[nemo@Sailfish ~]$ cat /proc/version
Linux version 3.10.84 (abuild@phost8) (gcc version 4.9.x-google 20140827 (prerelease) (GCC) ) #1 SMP PREEMPT Wed Jan 24 16:53:18 UTC 2018
Anyway cat /proc/filesystems shows that btrfs is now supported.

22 libraries in /usr/lib/libQt5* were updated to Qt 5.6, but Qt5Location, Qt5Positioning and Qt5Sensors are stuck to 5.2.2 (arrrrrgh) even if included in the update (their timestamp is January 2018). The command pkcon search qtlocation shows only the 5.2.1 (aka the "not yet stable API" one, thus native SFOS apps using it will not be accepted in the Jolla Store).
__________________
 

The Following 6 Users Say Thank You to alfmar For This Useful Post:
Posts: 1,441 | Thanked: 6,764 times | Joined on Apr 2010 @ Czech Republic
#172
Originally Posted by peterleinchen View Post
Not yet for everyone. But patience is an adornment

And what about the warehouse incompatibility?
I do not really feel it is ready for all without warehouse (knowing of storeman).
Looks like this might be already work in progress (or at least the maintainer knows about the issues and is still active):

Warehouse is not yet compatible latest 2.1.4 sailfishos release.

Meanwhile, you may want to use https://openrepos.net/content/osetr/storeman
__________________
modRana: a flexible GPS navigation system
Mieru: a flexible manga and comic book reader
Universal Components - a solution for native looking yet component set independent QML appliactions (QtQuick Controls 2 & Silica supported as backends)
 

The Following 3 Users Say Thank You to MartinK For This Useful Post:
Posts: 264 | Thanked: 782 times | Joined on Jun 2010 @ USA
#173
storeman latest rpm works fine for me. Downloaded it and installed with pkcon install-local. Installed rockpool from it first thing after doing clean flash to 2.1.3.7 and updating to 2.1.4.14 this morning.
__________________
Sony Xperia X SFOS 2.1.3.7, Nokia N810
 

The Following 4 Users Say Thank You to deprecated For This Useful Post:
Amboss's Avatar
Posts: 163 | Thanked: 234 times | Joined on May 2010 @ Mittelfranken, Germany
#174
did they break recovery mode on Jolla 1? After successful update I tried some patches which probably broke lipstick: when I rebooted I get to enter PIN and SIM-PIN after that it blinks to homescreen and reboots.

So I wanted to unapply from recovery. I get to vibrate the phone (volume down+power) with the Jolla logo and then after a while it just reboots as if I haven't put USB cable in.
 

The Following 2 Users Say Thank You to Amboss For This Useful Post:
Posts: 3 | Thanked: 15 times | Joined on Sep 2014 @ Suomi
#175
Hey,

on jolla 1 I have tried few times to update but no success.
just got "could not be updated".

so then in terminal I wrote version --dup and system downloaded and install patchmanager 2.3.3-10.41.1 and not sure why.
I have never before installed patchmanager.

Why it was installed ? was it because of "version --dup" command?

after this I was able to install update version 2.1.4.14.
I am not part of EA updates.

... and Patchmanager appeared in SETTINGS and NOTIFICATIONS what I think is usual behaviour.
 

The Following 5 Users Say Thank You to melmoth.sk For This Useful Post:
Posts: 1,540 | Thanked: 3,228 times | Joined on Mar 2010 @ North Potomac MD
#176
Hi. I just tried updating my tablet and Jolla 1 phone. The tablet seems to update fine. But, similar to melmoth.sk I was not able to update Jolla 1 phone. The error message is "Sailfish could not be updated. Please try again later" Then it asks to reboot. One thing that sounds strange is the message says to try later, which seems like the problem would be on Jolla's end. Is that the case? If not, could use some help here. Thanks!
 

The Following 3 Users Say Thank You to mscion For This Useful Post:
Posts: 161 | Thanked: 156 times | Joined on Mar 2014 @ .LT
#177
I had the same problem with earlier update last year, just updated via terminal version --dup, other updates after that went fine.
 

The Following 5 Users Say Thank You to wrm For This Useful Post:
Posts: 64 | Thanked: 191 times | Joined on Feb 2016
#178
Does anybody know if storeman working already properly on 2.1.4 ?
I have to factory reset my J1 and I'm considering this update then.
 

The Following 4 Users Say Thank You to Merienth For This Useful Post:
karlos devel's Avatar
Posts: 113 | Thanked: 304 times | Joined on Mar 2013 @ Guatemala
#179
Originally Posted by Merienth View Post
Does anybody know if storeman working already properly on 2.1.4 ?
I have to factory reset my J1 and I'm considering this update then.
Yes work well
__________________
Caballlero
 

The Following 6 Users Say Thank You to karlos devel For This Useful Post:
Posts: 44 | Thanked: 92 times | Joined on May 2011
#180
Is anyone else getting warm phone/faster battery drain with the new update?
 

The Following 4 Users Say Thank You to Martinhsl68hw For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 13:32.